//------------------------------------------------------------------------------
// Basic Datatype and file extention definitions
//  - XII/2001 TriplexWare; Written by A.Weidauer
//------------------------------------------------------------------------------

{
@abstract(Basic Datatype and file extention definitions.)
@author  (Alexander Weidauer <alex.weidauer@huckfinn.de)
@created (December 2001)
@lastmod (December 2001)
The Unit  delivers  basic data types for  i/o and their file extentions. }
Unit UConst;
//==============================================================================
interface

//==============================================================================
CONST

 { registry destination set }
 cStorageName       = 'Software\tsWB';
 { Maximal read buffer size for blocked bufferd reading. }
 cMaxReadBuffer     = 32000;
 { Maximal write buffer size for blocked bufferd writing. }
 cMaxWriteBuffer    = 32000;

//------------------------------------------------------------------------------
Type
  { Type encapsulation Boolean }
  TBoolean   = Boolean;
  { Type encapsulation String }
  TString    = String;
  { Type encapsulation Byte 8 Bit}
  TByte      = Byte;
  { Type encapsulation Word 16 Bit }
  TWord      = Word;
  { Type encapsulation LongWord 32 Bit }
  TLongWord  = LongWord;
  { Type encapsulation SmallInt signed 8 Bit }
  TInt08     = SmallInt;
  { Type encapsulation Integer signed 16 Bit }
  TInt16     = ShortInt;
  { Type encapsulation Integer signed 32 Bit }
  TInt32     = LongInt;
  { Type encapsulation Integer signed 32 Bit as common integer}
  TInteger   = TInt32;
  { Type encapsulation Integesssr signed 64 Bit }
  TInt64     = Int64;

  { Type encapsulation Single 4 Byte }
  TSingle    = Single;
  { Type encapsulation Real 6 Byte }
  TReal      = Real48;
  { Type encapsulation Double 8 Byte }
  TDouble    = Double;
  { Type encapsulation Double 10 Byte }
  TExtended  = Extended;

 {Swap data if a > b for String}
 Procedure SwapString(Var a,b:TString);
 {Swap data if a > b for TByte}
 Procedure SwapByte(Var a,b:TByte);
 {Swap data if a > b for TWord}
 Procedure SwapWord(Var a,b:TWord);
 {Swap data if a > b for TLongWord}
 Procedure SwapLongWord(Var a,b:TLongWord);
 {Swap data if a > b for TInt08}
 Procedure SwapInt08(Var a,b:TInt08);
 {Swap data if a > b for TInt16}
 Procedure SwapInt16(Var a,b:TInt16);
 {Swap data if a > b for TInt32}
 Procedure SwapInt32(Var a,b:TInt32);
 {Swap data if a > b for TInt64}
 Procedure SwapInt64(Var a,b:TInt64);
 {Swap data if a > b for single}
 Procedure SwapSingle(Var a,b:TSingle);
 {Swap data if a > b for double }
 Procedure SwapDouble(Var a,b:TDouble);
 {Swap data if a > b for Extended}
 Procedure SwapExtended(Var a,b:TExtended);

Implementation
//------------------------------------------------------------------------------
Procedure SwapString(Var a,b:TString);
 Var r:TString; Begin r:=a;a:=b;b:=r; End;
//------------------------------------------------------------------------------
Procedure SwapByte(Var a,b:TByte);
 Var r:TByte; Begin r:=a;a:=b;b:=r; End;
//------------------------------------------------------------------------------
Procedure SwapWord(Var a,b:TWord);
 Var r:TWord; Begin r:=a;a:=b;b:=r; End;
//------------------------------------------------------------------------------
Procedure SwapLongWord(Var a,b:TLongWord);
 Var r:TLongWord; Begin r:=a;a:=b;b:=r; End;
//------------------------------------------------------------------------------
Procedure SwapInt08(Var a,b:TInt08);
 Var r:TInt08; Begin r:=a;a:=b;b:=r; End;
//------------------------------------------------------------------------------
Procedure SwapInt16(Var a,b:TInt16);
 Var r:TInt16; Begin r:=a;a:=b;b:=r; End;
//------------------------------------------------------------------------------
Procedure SwapInt32(Var a,b:TInt32);
 Var r:TInt32; Begin r:=a;a:=b;b:=r; End;
//------------------------------------------------------------------------------
Procedure SwapInt64(Var a,b:TInt64);
 Var r:TInt64; Begin r:=a;a:=b;b:=r; End;
//------------------------------------------------------------------------------
Procedure SwapSingle(Var a,b:TSingle);
 Var r:TSingle; Begin r:=a;a:=b;b:=r; End;
//------------------------------------------------------------------------------
Procedure SwapDouble(Var a,b:TDouble);
 Var r:TDouble; Begin r:=a;a:=b;b:=r; End;
//------------------------------------------------------------------------------
Procedure SwapExtended(Var a,b:TExtended);
 Var r:TExtended; Begin r:=a;a:=b;b:=r; End;
End.



